# Run Pipeline

#### Run a Pipeline Manually

* Click the **Start Manual Execution** button to run a pipeline manually as shown below.

![](/files/0jkHG5bjEZmszYpc0BkA)

* A confirmation dialog box will appear. You can enter the required parameters and execute the pipeline.

The parameters depend on the pipeline. There will be no parameters if it is a simple pipeline with no configurations. You must enter the parameters if the pipeline has been configured. We will see examples of each.

#### **Simple pipeline**

* When manually executing the pipeline, we have configured a simple pipeline that deploys nginx, and we are not passing any parameters.

![](/files/7EFdjWiNMA2hJW6IHy3b)

* In the above screenshot we can see a pipeline named ’LF-test-pipeline’. No changes have been made to the **configuration stage**. A Deploy(Manifest) stage has been configured, which deploys a Kubernetes manifest yaml/json file. **deploy-nginx** is the name of the stage. The screenshot is shown below. The details of adding stages are covered in previous sections.

![](/files/G4wGkROXJ3sE64DW8553)

* In 'Manifest Configuration,' we chose a Text-based manifest as the **Manifest Source,** and we put the Kubernetes manifest yaml file to deploy nginx there.

![](/files/iXQ3z9yxFrBwZ3CvhjoQ)

* Save our configuration by selecting the Save Changes option at the bottom right of the screen, as shown in the screenshot below.

![](/files/wLKzyBTeYGw4kwcQWbTU)

![](https://lh4.googleusercontent.com/Rb0joOXtXUNPZ6ut-tlWOnM94lqWnlXdQMURVjX7V0JWLLPik_0wrsoWMY5WoRu2X1A1hupZwTPfNIHZW1_Us1Hwb7a8jLxNbQ7MeR4TSIHDbPQPEfZUQMrNknEp-K9d_OTBcdnH)

* After saving our pipeline, we'll return to the screen where all of our pipelines are shown, configured for the appropriate application, by selecting the **Pipeline** tab at the top left of your screen as shown below.

![](/files/wCcXtPvs662h77WOqvKO)

The pipeline that we have configured is under the **testapp** application as shown in the screenshot. Configuring application has been explained in previous lessons.

* Click the **PIPELINES** option and we will see the below screen.

![](/files/OjvpePopqcSewmoKlE7L)

* Click on **Start Manual Execution** to run this pipeline.

  We'll get a confirmation window, and we'll see that we don't need to pass any parameters to run the pipeline, as we have not configured any.

![](/files/XFf8OYOaDvxBfsQM3H2V)

We can see in the above screenshot that it says to select execution parameters, however as mentioned there is no parameter configured hence we do not need to pass any.

* Click on **Run** and the pipeline will be executed.

```
Comment:
Kubernetes manifest yaml file for nginx deployment:
apiVersion: v1
kind: Service
metadata:
  name: my-nginx-svc
  labels:
    app: nginx
spec:
  type: LoadBalancer
  ports:
  - port: 80
  selector:
    app: nginx
---
apiVersion: apps/v1
kind: Deployment
metadata:
  name: my-nginx
  labels:
    app: nginx
spec:
  replicas: 3
  selector:
    matchLabels:
      app: nginx
  template:
    metadata:
      labels:
        app: nginx
    spec:
      containers:
      - name: nginx
        image: nginx:1.14.2
        ports:
        - containerPort: 80
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.opsmx.com/isd-spinnaker/opsmx-intelligent-software-delivery-isd-platform-spinnaker/user-guide/manage-pipelines/run-pipeline.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
